Skip to content
POST/{organizationId}/{mandateId}/dispatch/documents/list

List documents

Returns a list of dispatch documents for the mandate

Required permissions:

  • mandate.read

  • dispatchDocument.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 100

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional
fromDatestringoptional
toDatestringoptional
sendMethodstringoptional

Options:

noneemailpostal
clickedbooleanoptional
unsubscribedbooleanoptional
recipientContactstringoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/dispatch/documents/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/dispatch/documents/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "types": [
    "receipt"
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "documents": [
    {
      "_id": "000000000000000000000001",
      "mandate": "000000000000000000000001",
      "type": "receipt",
      "name": "string",
      "recipient": {
        "name": "string",
        "nameNormalized": "string",
        "nameSort": "string",
        "email": "",
        "phone": "",
        "address": {
          "country": "string",
          "zip": "string",
          "city": "string",
          "addressLine": "string"
        },
        "replyTo": "string",
        "contact": "000000000000000000000001"
      },
      "emailTexts": {
        "subject": "string",
        "message": "string"
      },
      "sendMethod": "none",
      "sendColorPostal": true,
      "documentFileName": "string",
      "status": {
        "openedAt": "2026-06-15T22:30:00Z",
        "sentAt": "2026-06-15T22:30:00Z",
        "dispatchedBy": {
          "name": "string",
          "type": "user",
          "userId": "string",
          "image": {
            "resource": "string"
          }
        },
        "sendStatus": "none",
        "sendError": "NO_CREDITS_ENOUGH",
        "sendPrice": 1
      },
      "expressaDocument": "000000000000000000000001",
      "expressaMail": "000000000000000000000001"
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}